Notices


Reply
Thread Tools
lostinmirkwood's Avatar
Posts: 128 | Thanked: 230 times | Joined on Sep 2009 @ New Jersey, USA
#1


After 2.5 long months; Powerful Image Editing has finally(1) come to maemo!


Ansel-A: The Digital Darkroom for the Nokia N900
Features:
  • Filtered-Black-&-White-Conversion
  • RGB-Color-Correction
  • Brightness, Saturation, Contrast and Sharpening
  • Pixel-level-Cropping (Portrait is still a little fishy)
  • Tonal Shadows/Highlights
  • Kinetic Photo Browser
  • 360-Degree-Precision-Rotation
  • EXIF-Browser-with-maps
  • Unlimited-Visual-Undo
  • Multi-Platform (Qt4.6, PyQt)
  • a Gratuitous YouTube Video [link]
  • An active developer taking reasonable feature requests
and all this cool stuff is Fully Open Source.





EDIT: Changed from v0.9-1 to v0.9-5
v0.9-5 Released to Extras-Testing [link]

Brave souls please enjoy and offer critique (I'm ready to get coding again on all the bugs that I'm sure will creep up.)
Alternatively, you can comment on my Blog about this application if you're not the bug submitting type.


Support Questions [link]

Bug Tracking [link]


Installing Version v0.9-5


New Users: The easiest way to install:
if you have Extras-devel/Extras-Testing active go to AppManager->Graphics->Ansel-A and click install.

Previous Users: I now first suggest either AppManager->Uninstall->Ansel-A or
Code:
apt-get purge ansela
apt-get install ansela


If for some reason you're downloading (wget) the deb directly and are installing with dpkg:
run dpkg -i ansela_0.9-5_all.deb and then apt-get -f install to get the depends.

For some of the alpha testers (blizzard & debernardis) noted that earlier versions from extras-devel, especially the temporary v0.8-1 version have caused problematic installs. I/They suggest the simple purge method above before a reinstall for those users, there were some structural changes, that could cause a conflict.




Shout-Outs:
Thank you all who have helped me over the past 2 months getting this released in time for the Calling All Innovators Contest, But especially:
achipa / attila77 for past work, fast answers, unreal patience to us noobs and of course PyQt4.7
noobmonkey you asked all the hard questions a month before me, so I just had to read the forums/irc
xvxxig guess who knows enough Linux now?
jgh for telling me what functions we really needed to have.
baconlt & tavaura20 my awesomely critical beta-testers, photographers and soundboards
mangoconleche & hunter30-06 You two know why, thanks to you the most


-lostinmirkwood


(1) well, without Easy Debian ... sorry qole

Last edited by lostinmirkwood; 2010-06-17 at 22:09. Reason: Changed Version to v0.9-5 to promote to Extras
 

The Following 111 Users Say Thank You to lostinmirkwood For This Useful Post:
aironeous, alienhead, aligatro, AlMehdi, anders_gud, andygee, archl, arnest, attila77, ayos!, bandora, Barrie, Berserk, Bingley Joe, blah, Blaizzen, ceevee, CepiPerez, cfh11, Chrome, conny, craftyguy, dana.s, daniel_m, dazzakoh, dbl2010, debernardis, demolition, docman, Dousan, dvergin, dzano, ed00, efekt, enne30, evil_m0nkey, FarmerF, fw190, generationally, Glasswalker, hannu.mikkola, HellFlyer, HoX, HtheB, jacktanner, jaeezzy, jfk, johnel, juise-, juven69, Kieron, kmare, logicalsid, magullo, Maj3stic, majesty, malfunctioning, mannakiosk, manvik60, MaxJP, mayhem, mbo, mece, Mentalist Traceur, mikec, mivoligo, moepda, M_99, nashith, Natan_xy, nath, nicholes, nkirk, NokTokDaddy, noobmonkey, noorallah, OVK, parasight, Patola, pelago, plaban, Pretoriano, pyromaniac, qole, Rob1n, robbie, sachin007, sadfist, seanmcken, skoteinos, Slocan, somedude, sony123, spag, steph, StOoZ, Strutten, Temujin, thecubed, thommy, ToJa92, torshind, twaelti, ukki, Venemo, vkv.raju, Wanker, YoDude, yogi900, zappa, zimon
debernardis's Avatar
Posts: 2,117 | Thanked: 1,976 times | Joined on Dec 2006 @ Sicily
#2
Doesn't start on my N900 (PR1.2).
When called from xterm as /opt/anselA/ansela.py issues an ImportError: cannot import name QtWebKit

Is there some dependency to install?
__________________
Ernesto de Bernardis

 
lostinmirkwood's Avatar
Posts: 128 | Thanked: 230 times | Joined on Sep 2009 @ New Jersey, USA
#3
did you load it from the extras-devel Repo? It's still being pushed to Extras-Testing. Did you install from the command line with
Code:
 dpkg -i
If so a simple
Code:
apt-get -f install
usually fixes these problems.

otherwise to get to a clean slate for alpha testers, now mentioned above:
Code:
apt-get purge ansela
apt-get install ansela
If you have Extras-Testing installed, Just wait for the update, v0.9 and all needed depends will come down automatically (but I'll look into it)

edit: looked into it and edited this post

Last edited by lostinmirkwood; 2010-06-11 at 06:48. Reason: added another code line
 
debernardis's Avatar
Posts: 2,117 | Thanked: 1,976 times | Joined on Dec 2006 @ Sicily
#4
I have both extra-testing and extra-devel enabled. The installed version is 0.8-1. It appears that the version in extra-testing is 0.9-1. Seems I was too much in a rush
Now deinstalling and trying to get the right one

Edit: OK solved. Thanks
__________________
Ernesto de Bernardis


Last edited by debernardis; 2010-06-11 at 05:16.
 
lostinmirkwood's Avatar
Posts: 128 | Thanked: 230 times | Joined on Sep 2009 @ New Jersey, USA
#5
Originally Posted by debernardis View Post
I have both extra-testing and extra-devel enabled. The installed version is 0.8-1. It appears that the version in extra-testing is 0.9-1.
Ha ha, good
To that point, I just purged python2.5-qt4-* from my device and SDK, and reinstalled on both with (apt-get install ansela) and it worked as expected, I have to admit you had me a bit worried there.

I Think I should mention in the announce that it's version 0.9-1.
0.8-* were severely chaotic development versions; as I migrated dependencies and optimized the code over the last 3 days.

If you have any questions please post away... I've been waiting for new uesers for quite some time.
 

The Following User Says Thank You to lostinmirkwood For This Useful Post:
Posts: 228 | Thanked: 143 times | Joined on Dec 2009
#6
How did I not know this was in development?! How exciting! Please have your blog added to Planet Maemo.

http://maemo.org/news/planet-maemo/aggregate_your_blog/
 

The Following User Says Thank You to jacktanner For This Useful Post:
dbl2010's Avatar
Posts: 18 | Thanked: 4 times | Joined on May 2010 @ usa
#7
Looks nice. We always need this kind of quality software. Kudos....
__________________
Hard to choose:
Either: "iOwnyou you iSheeps, you are iLimited by my iDecisions" philosopy
Or: "You are free but i don't support all the way, wait (forever) for the community to produce."
 

The Following User Says Thank You to dbl2010 For This Useful Post:
Posts: 1,751 | Thanked: 837 times | Joined on Feb 2010 @ Sweden
#8
I am missing a simple paint function.. or did i miss something? If that is added this would be a killer app. Like the flow and user friendliness.
 
lostinmirkwood's Avatar
Posts: 128 | Thanked: 230 times | Joined on Sep 2009 @ New Jersey, USA
#9
Originally Posted by jacktanner View Post
How did I not know this was in development?! How exciting! Please have your blog added to Planet Maemo.

http://maemo.org/news/planet-maemo/aggregate_your_blog/
I sent an email to planet at maemo.org a few weeks ago, but I'd be honored to be added.
 
lostinmirkwood's Avatar
Posts: 128 | Thanked: 230 times | Joined on Sep 2009 @ New Jersey, USA
#10
Originally Posted by AlMehdi View Post
I am missing a simple paint function.. or did i miss something? If that is added this would be a killer app. Like the flow and user friendliness.
I'd like to add a burn/dodge tool for this purpose. Have a look too at MyPaint It runs fantastic on the N900.
 
Reply

Tags
darkroom, image, photography

Thread Tools

 
Forum Jump


All times are GMT. The time now is 04:41.